Subject: Re: linux-next: manual merge of the mtd tree with Linus' tree

From: Sean Young <[email-masked]>
Date: Tue, 17 Aug 2021 09:15:59 +0100

On Tue, Aug 17, 2021 at 02:49:07PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the mtd tree got a conflict in:
> 
>   drivers/mtd/mtd_blkdevs.c
> 
> between commit:
> 
>   2b6d2833cd1d ("mtd: mtd_blkdevs: Initialize rq.limits.discard_granularity")
> 
> from Linus' tree and commit:
> 
>   c7c12c7ce6c1 ("mtd: blk_devs: make discard work on FTLs")
> 
> from the mtd tree.
> 
> I fixed it up (I (arbitrarily) used the former version)

The former is slightly better, and also already merged upstream. My commit
c7c12c7ce6c1 should be dropped from mtd/next, I think.

Thanks
Sean

> and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell